"use client"
import { useIntl } from "react-intl"

export default function useRateTitles() {
  const intl = useIntl()

  const payNow = intl.formatMessage({
    defaultMessage: "Pay now",
  })

  return {
    change: {
      paymentTerm: payNow,
      title: intl.formatMessage({
        defaultMessage: "Free rebooking",
      }),
    },
    flex: {
      paymentTerm: intl.formatMessage({
        defaultMessage: "Pay later",
      }),
      title: intl.formatMessage({
        defaultMessage: "Free cancellation",
      }),
    },
    save: {
      paymentTerm: payNow,
      title: intl.formatMessage({
        defaultMessage: "Non-refundable",
      }),
    },
    noPriceAvailable: intl.formatMessage({
      defaultMessage: "No prices available",
    }),
  }
}
